-- 1.0.30 Power.TechnologicalConnection
-- изменяем decimal на int там, где по смыслу это int
alter table LocalityTypes alter column Level int not null
alter table Localities alter column SubjectCode int
alter table Localities alter column RegionCode int
alter table Localities alter column TownCode int
alter table Localities alter column SettlementCode int
alter table Streets alter column StreetCode int
GO
-- Добавляем исполнителей для Проектных работ и проекта заявителя и убираем лишние связи.
alter table TCActs add ProjectTabEditorID		int
alter table TCActs add ProjectApplicantTabEditorID	int
GO
declare @table_name nvarchar(50)
declare @strSQL nvarchar(1024)

set @table_name=N'TCActs'
set @strSQL=''
select @strSQL = @strSQL + ' ALTER TABLE ' + @table_name + ' DROP CONSTRAINT '+ object_name(FK_Tab.id) 
from sysobjects FK_Tab 
where (xtype = 'F') AND object_id(@table_name)=parent_obj
if @strSQL<>''  exec (@strSQL)
GO
alter table TCActs drop column DelineationThirdLegalEntityID
alter table TCActs drop column DelineationExecutorID
GO
ALTER TABLE TCActs
	ADD FOREIGN KEY (ActID)
	REFERENCES TCApplications(TCApplicationID)
	ON DELETE CASCADE
        ON UPDATE CASCADE

alter table TCActs add foreign key(ProjectApplicantOrganizationID) references LegalEntities(LegalEntityID)
alter table TCActs add foreign key(ProjectExecutorID) references Персонал(Код_работника)
alter table TCActs add foreign key(WorksLegalEntityID) references LegalEntities(LegalEntityID)
alter table TCActs add foreign key(WorksExecutorID) references Персонал(Код_работника)
alter table TCActs add foreign key(SpecFulfilmentExecutorID) references Персонал(Код_работника)
alter table TCActs add foreign key(ActualConnectionExecutorID) references Персонал(Код_работника)
alter table TCActs add foreign key(SupplyExecutorID) references Персонал(Код_работника)
alter table TCActs add foreign key(ProjectTabEditorID) references Персонал(Код_работника)		
alter table TCActs add foreign key(ProjectApplicantTabEditorID) references Персонал(Код_работника)

ALTER TABLE TCActs
	ADD FOREIGN KEY (ProjectRefuzedID)
	REFERENCES TCActProjectRefuzed  (TCActProjectRefuzedID)